Skip to main content
`Ctrl`+`K`

# VecSetLayout

set `PetscLayout` describing vector layout

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetLayout(Vec x, PetscLayout map)

Not Collective

## Input Parameters

- x - the vector

- map - the layout

## Note

It is normally only valid to replace the layout with a layout known to be equivalent.

## See Also

Vectors and Parallel Data, `Vec`, `PetscLayout`, `VecGetLayout()`, `VecGetSize()`, `VecGetOwnershipRange()`, `VecGetOwnershipRanges()`

## Level

developer

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages